ooxml(3tcl)

NAME
ooxml - Utility program to handle Office Open XML “XLSX” produced by Excel >= 2007

SYNOPSIS
::ooxml::xl_read

::ooxml::xl_write args

::ooxml::tablelist_to_xl tablelist args

DESCRIPTION
This manual page documents briefly the ::ooxml::xl_read, ::ooxml::xl_write and ::ooxml::tablelist_to_xl commands.

This manual page was written for the Debian distribution because the original program does not have a manual page. Instead, it has documentation on its fossil repository at https://fossil.sowaswie.de/ooxml/home

::ooxml::xl_read reads an Office Open XML “XLSX” file and returns its content in key-value form suitable for storing in a Tcl array. (For most, if not all, purposes it may be also stored in a Tcl dictionary)

::ooxml::xl_write is a swiss-army knife class that manipulate the content and format of a spreadsheet. See the examples for more information

::ooxml::tablelist_to_xl works in conjunction with the tablelist widget

OPTIONS

SEE ALSO
tclsh(3tcl)

The ::ooxml utility is documented on the website https://fossil.sowaswie.de/ooxml/home

AUTHOR

Massimo Manghi
    mxmanghi@apache.org Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2024 Massimo Manghi

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.